Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class PlacementGroup

    java.lang.Object
      com.amazonaws.services.ec2.model.PlacementGroup

    public class PlacementGroup

extends Object

Represents a placement group into which multiple Amazon EC2 instances can be launched. A placement group ensures that Amazon EC2 instances are physically located close enough to support HPC features, such as higher IO network connections between instances in the group.

Constructor Summary
`PlacementGroup()`

Method Summary
`String` | `getGroupName()` The name of the `PlacementGroup`.
`String` | `getState()` The state of this `PlacementGroup`.
`String` | `getStrategy()` The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.
`void` | `setGroupName(String groupName)` The name of the `PlacementGroup`.
`void` | `setState(String state)` The state of this `PlacementGroup`.
`void` | `setStrategy(String strategy)` The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`PlacementGroup` | `withGroupName(String groupName)` The name of the `PlacementGroup`.
`PlacementGroup` | `withState(String state)` The state of this `PlacementGroup`.
`PlacementGroup` | `withStrategy(String strategy)` The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlacementGroup

    public PlacementGroup()

Method Detail

### getGroupName

    public String getGroupName()

  The name of the `PlacementGroup`.

  Returns:
    The name of the `PlacementGroup`.

### setGroupName

    public void setGroupName(String groupName)

  The name of the `PlacementGroup`.

  Parameters:
    `groupName` - The name of the `PlacementGroup`.

### withGroupName

    public PlacementGroup withGroupName(String groupName)

  The name of the `PlacementGroup`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupName` - The name of the `PlacementGroup`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStrategy

    public String getStrategy()

  The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.

  Constraints:
  Allowed Values: cluster

  Returns:
    The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.
  See Also:
    `PlacementStrategy`

### setStrategy

    public void setStrategy(String strategy)

  The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.

  Constraints:
  Allowed Values: cluster

  Parameters:
    `strategy` - The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.
  See Also:
    `PlacementStrategy`

### withStrategy

    public PlacementGroup withStrategy(String strategy)

  The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: cluster

  Parameters:
    `strategy` - The strategy to use when allocating Amazon EC2 instances for the `PlacementGroup`.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `PlacementStrategy`

### getState

    public String getState()

  The state of this `PlacementGroup`.

  Constraints:
  Allowed Values: pending, available, deleting, deleted

  Returns:
    The state of this `PlacementGroup`.
  See Also:
    `PlacementGroupState`

### setState

    public void setState(String state)

  The state of this `PlacementGroup`.

  Constraints:
  Allowed Values: pending, available, deleting, deleted

  Parameters:
    `state` - The state of this `PlacementGroup`.
  See Also:
    `PlacementGroupState`

### withState

    public PlacementGroup withState(String state)

  The state of this `PlacementGroup`.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: pending, available, deleting, deleted

  Parameters:
    `state` - The state of this `PlacementGroup`.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `PlacementGroupState`

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.